require_relative 'movie'

module Flicks
	class Movie3D < Movie
		attr_accessor :wow_factor

		def initialize(title,rank,wow_factor)
			super(title,rank)
			@wow_factor = wow_factor
		end
		
		def thumbs_up
			@wow_factor.times { super }
		end	

		def show_effect 
			puts "Wow" * @wow_factor
		end

		def to_s
			puts super
			puts "Also with a wow_factor of #{@wow_factor}"
		end
	end
end

if __FILE__ == $0
	movie3d = Movie3D.new('something',10,10)
	puts movie3d
	puts movie3d.thumbs_up
	puts movie3d
end